/**************************************************************

   Program Name:  GenY32.h		  Version: 2.05
   
   Author:  SS	  				  Date:  Jul 1, 2014
   
   Compiled with AVRStudio 6.2
   
   Copyright 2004-2014, SOC Robotics, Inc.  All rights reserved.
   
****************************************************************/
/*
 * Copyright (C) 2006-2014 by SOC Robotics, Inc. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY SOC ROBOTICS, INC. AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SOC ROBOTICS, 
 * INC. OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
 * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * For additional information see http://www.soc-robotics.com
 */
/*
 * $Log: GenY32.h,v $
 * Revision 2.05  2005/07/17 16:40:20  SS
 *    Support for 4-axis,joystick,uSD file management,pump/coolant,M commands, etc - see main.c
 */

// Prompt char select - return OK or $
#define DOLLARPROMPT  1
#define OKPROMPT	  0

// New GenY32 feature variables
extern char promptchar,tandemmode,pwm1mode,pwm1state,pwm2mode,pwm2state,pwmactivation;
extern int countdown1,countdown2,countdown3,pwm1oncnt,pwm1offcnt,pwm2oncnt,pwm2offcnt;
extern float pwm1ontime,pwm1offtime,pwm2ontime,pwm2offtime;

#ifdef __cplusplus
extern "C" {
	#endif
	
#ifdef __cplusplus
}
#endif


